## procps 3.3.10

=== debian/changelog ===
procps (2:3.3.10-4ubuntu2cs1euclid1) xenial; urgency=medium

  * From Intel on 20161219. (LP: #1648362)

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 20 Dec 2016 13:46:49 +0800

procps (2:3.3.10-4ubuntu2cs1) xenial; urgency=medium

  * UAR1 for console log:
    - Change default printk level from 4 to 7 

 -- Hong Yang <yanghong@thundersoft.com>  Fri, 13 May 2016 17:32:06 +0800

procps (2:3.3.10-4ubuntu2) xenial; urgency=high

  * Add debian/sysctl.d/10-qemu.conf.s390x for qemu.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 13 Jan 2016 11:33:36 +0000

procps (2:3.3.10-4ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-keyboard.conf.powerpc: mouse button emulation on PowerPC.
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
      + 10-link-restrictions.conf: even though the Ubuntu
        kernel is built with these defaults in place, we want to make sure
        that people running stock kernels don't miss out.
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
        critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
      + 10-network-security.conf: enable rp_filter and SYN-flood protection.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
        for armhf, and arm64.
      + README: describe how this directory is supposed to work.
    - debian/upstart (Ubuntu-specific): upstart configuration to replace old
      style sysv init script
    - Fix cross build
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 06 Sep 2015 05:30:20 +0000

procps (2:3.3.10-4) unstable; urgency=medium

  * A proper patch for libsystemd Closes: #791896

 -- Craig Small <csmall@debian.org>  Sun, 06 Sep 2015 08:55:49 +1000

procps (2:3.3.10-3) unstable; urgency=medium

  * Change systemd libraries Closes: #791896

 -- Craig Small <csmall@debian.org>  Thu, 03 Sep 2015 20:50:00 +1000

procps (2:3.3.10-2) unstable; urgency=medium

  * libprocps4-dev: fixed symbolic link from .so.3 to .so.4 Closes:
    #762852
  * Removed mention of fork and update site url Closes: #766292
  * Update copyright to new format Closes: #732494

 -- Craig Small <csmall@debian.org>  Sun, 14 Jun 2015 15:00:30 +1000

procps (2:3.3.10-1) unstable; urgency=medium

  [ Craig Small ]
  * Back to upstream version 3.3.10
  * Added multi-arch: Same for libprocps4-dev Closes: #788386
  * Added --disable-modern-top See #762855
  * Update to standards 3.9.6 no change
  * Use dh-exec for multiarch dirs

  [ Laurent Bigonville ]
  * Enable systemd support, this allows ps to show to which slice or unit a
    process belong to.
  * Explictely enable selinux support

 -- Craig Small <csmall@debian.org>  Fri, 12 Jun 2015 23:05:21 +1000

procps (1:3.3.9-1ubuntu8) vivid; urgency=medium

  * ignore_erofs.patch: Same as ignore_eaccess but for the case where
    part of /proc is read/only. (LP: #1419554)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Feb 2015 13:53:27 -0500

procps (1:3.3.9-1ubuntu7) vivid; urgency=medium

  * Copy 10-zeropage.conf.armhf to 10-zeropage.conf.arm64 (LP: #1415481)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 28 Jan 2015 10:17:09 -0700

procps (1:3.3.9-1ubuntu6) vivid; urgency=medium

  * No change rebuild to get debug symbols for all architectures.

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 Dec 2014 09:00:05 -0800

procps (1:3.3.9-1ubuntu5) utopic; urgency=medium

  * Move procps upstart job to procps-instance, and make procps job to not
    be a task, such that startpar knows that procps has already run.
    (LP: #1326338)  
  * Build with a fixed debhelper. (unlike previous ubuntu4 upload). 

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 May 2014 09:46:15 +0200

procps (1:3.3.9-1ubuntu3) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:41:49 +0100

procps (1:3.3.9-1ubuntu2) trusty; urgency=medium

  * Fix libprocps.so symlink to point to libprocps.so.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 23:27:16 +0000

procps (1:3.3.9-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-keyboard.conf.powerpc: mouse button emulation on PowerPC.
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
      + 10-link-restrictions.conf: even though the Ubuntu
        kernel is built with these defaults in place, we want to make sure
        that people running stock kernels don't miss out.
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
        critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
      + 10-network-security.conf: enable rp_filter and SYN-flood protection.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
      + README: describe how this directory is supposed to work.
    - debian/upstart (Ubuntu-specific): upstart configuration to replace old
      style sysv init script
    - Fix cross build

