=== debian/control ===
Source: procps
Section: admin
Priority: optional
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 9.20120115),
    dh-exec (>= 0.3),
    libncurses5-dev, libncursesw5-dev,
    dejagnu,
    libnuma-dev [amd64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64el],
    dh-autoreconf, pkg-config,
    libsystemd-dev (>= 209) [linux-any]
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/procps
Vcs-Git: https://salsa.debian.org/debian/procps.git
Homepage: https://gitlab.com/procps-ng/procps

Package: procps
Priority: important
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-10), init-system-helpers (>= 1.29~)
Breaks: guymager (<= 0.5.9-1), open-vm-tools (<= 2011.12.20-562307-1 )
Provides: watch
Conflicts: w-bassman (<< 1.0-3), pgrep (<< 3.3-5)
Recommends: psmisc
Description: /proc file system utilities
 This package provides command line and full screen utilities for browsing
 procfs, a "pseudo" file system dynamically generated by the kernel to
 provide information about the status of entries in its process table
 (such as whether the process is running, stopped, or a "zombie").
 .
 It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop,
 snice, sysctl, tload, top, uptime, vmstat, w, and watch.

Package: libprocps6
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: procps ( << 1:3.3.2-1)
Description: library for accessing process information from /proc
 The libprocps library is a way of accessing information out of the /proc
 filesystem.
 .
 This package contains the shared libraries necessary to run programs
 compiled with libprocps.

Package: libprocps-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libprocps6 (=${binary:Version}), ${misc:Depends}
Conflicts: libproc-dev, libprocps0-dev, libprocps1-dev,
           libprocps3-dev, libprocps4-dev
Replaces: libproc-dev, libprocps0-dev, libprocps1-dev,
           libprocps3-dev, libprocps4-dev
Description: library for accessing process information from /proc
 These are the header files for libproc. Some packages using libproc
 to access process information from /proc need these to compile.
