=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 9.20120115),
+Build-Depends: debhelper (>= 11),
     dh-exec (>= 0.3),
     libncurses5-dev, libncursesw5-dev,
     dejagnu,
     libnuma-dev [amd64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64el],
-    dh-autoreconf, pkg-config,
+    pkg-config,
     libsystemd-dev (>= 209) [linux-any]
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/debian/procps
@@ -32,7 +32,7 @@
  It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop,
  snice, sysctl, tload, top, uptime, vmstat, w, and watch.
 
-Package: libprocps6
+Package: libprocps7
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -50,7 +50,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libprocps6 (=${binary:Version}), ${misc:Depends}
+Depends: libprocps7 (=${binary:Version}), ${misc:Depends}
 Conflicts: libproc-dev, libprocps0-dev, libprocps1-dev,
            libprocps3-dev, libprocps4-dev
 Replaces: libproc-dev, libprocps0-dev, libprocps1-dev,
