=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_auto_clean:
-	dh_auto_clean
+	dh $@
 
 override_dh_auto_configure:
 	./configure \
@@ -92,5 +89,5 @@
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libprocps6'
+	dh_makeshlibs -V 'libprocps7 (>=2:3.3.15-1)'
