## procps 3.3.16

=== debian/changelog ===
procps (2:3.3.16-1ubuntu2) focal; urgency=medium

  * Fix libprocps.so link target to point to the library we actually ship.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Feb 2020 21:52:07 -0800

procps (2:3.3.16-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
        critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
      + 10-network-security.conf: enable rp_filter.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
        for armhf, and arm64.
      + 10-qemu.conf.s390x for qemu.
      + README: describe how this directory is supposed to work.
    - debian/rules: Fix cross build
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
    - 10-network-security.conf: change the rp_filter default from 1 to 2,
      the strict mode isn't compatible with the n-m handling of 
      captive portals
  * Dropped changes, superseded upstream:
    - d/p/pgrep-increase-CMDSTRSIZE.patch: Allow long command lines to be
      searched.
  * Dropped changes, no longer needed:
    - 10-keyboard.conf.powerpc: mouse button emulation on PowerPC.
    - 10-link-restrictions.conf: this is redundant with link-protect.conf
      from Debian.
  * debian/procps.maintscript: handle migration of link-protect.conf from
    /etc to /usr.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 22:53:02 -0800

procps (2:3.3.16-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Craig Small ]
  * set sysctl protection for fifos and regular files Closes: #914859
  * New upstream release
    - docs: Use correct symbols for -h option in free.1 Closes: #898774
    - pgrep: Match on runstate Closes: #919381
    - snice: Fix matching on pid Closes: #903540
  * Move protect-links from /etc to /usr/lib Closes: #915797
  * Increment library package to libprocps8

 -- Craig Small <csmall@debian.org>  Fri, 07 Feb 2020 19:05:09 +1100

procps (2:3.3.15-2ubuntu3) eoan; urgency=medium

  * d/p/pgrep-increase-CMDSTRSIZE.patch:
    - Allows long command lines to be searched.
    eg: Java process with a long classpath. (LP: #1839329)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 08 Aug 2019 16:46:48 +0000

procps (2:3.3.15-2ubuntu2) disco; urgency=medium

  * 10-network-security.conf: change the rp_filter default from 1 to 2,
    the strict mode isn't compatible with the n-m handling of 
    captive portals (lp: #1814262)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Feb 2019 23:46:43 +0100

procps (2:3.3.15-2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-keyboard.conf.powerpc: mouse button emulation on PowerPC.
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
      + 10-link-restrictions.conf: even though the Ubuntu
        kernel is built with these defaults in place, we want to make sure
        that people running stock kernels don't miss out.
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
        critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
      + 10-network-security.conf: enable rp_filter.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
        for armhf, and arm64.
      + 10-qemu.conf.s390x for qemu.
      + README: describe how this directory is supposed to work.
    - debian/rules: Fix cross build
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 05 Jun 2018 11:20:00 -0700

procps (2:3.3.15-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-keyboard.conf.powerpc: mouse button emulation on PowerPC.
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
      + 10-link-restrictions.conf: even though the Ubuntu
        kernel is built with these defaults in place, we want to make sure
        that people running stock kernels don't miss out.
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
        critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
      + 10-network-security.conf: enable rp_filter.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
        for armhf, and arm64.
      + 10-qemu.conf.s390x for qemu.
      + README: describe how this directory is supposed to work.
    - debian/rules: Fix cross build

