=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: procps
 Section: admin
 Priority: optional
-Maintainer: Craig Small <csmall@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Craig Small <csmall@debian.org>
 Build-Depends: debhelper (>= 11),
     dh-exec (>= 0.3),
     libncurses5-dev, libncursesw5-dev,
@@ -32,7 +33,7 @@
  It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop,
  snice, sysctl, tload, top, uptime, vmstat, w, and watch.
 
-Package: libprocps7
+Package: libprocps8
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -50,7 +51,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libprocps7 (=${binary:Version}), ${misc:Depends}
+Depends: libprocps8 (=${binary:Version}), ${misc:Depends}
 Conflicts: libproc-dev, libprocps0-dev, libprocps1-dev,
            libprocps3-dev, libprocps4-dev
 Replaces: libproc-dev, libprocps0-dev, libprocps1-dev,
