=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,17 @@
 DEBROOT=$(CURDIR)/debian/tmp
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 configure_flags += --host=$(DEB_HOST_GNU_TYPE)
+CROSS = PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config \
+	ac_cv_func_malloc_0_nonnull=yes \
+	ac_cv_func_realloc_0_nonnull=yes
+else
+CROSS=
 endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -24,7 +30,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	./configure \
+	$(CROSS) ./configure \
 	  $(configure_flags) \
 	  --build=$(DEB_BUILD_GNU_TYPE) \
 	  --disable-silent-rules \
@@ -34,7 +40,9 @@
 	  --disable-modern-top \
 	  --prefix=/usr \
 	  --exec-prefix=/ \
-	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	  --build=$(DEB_BUILD_GNU_TYPE) \
+	  --host=$(DEB_HOST_GNU_TYPE) \
 
 
 override_dh_auto_install: $(autogen-files)
@@ -42,6 +50,23 @@
 	mkdir $(DEBROOT)/bbin
 	mv $(DEBROOT)/bin/kill $(DEBROOT)/bbin/
 	mv $(DEBROOT)/bin/ps $(DEBROOT)/bbin/
+
+	# Build up sysctl.d
+	install -d $(DEBROOT)/etc/sysctl.d/
+	install --mode 644 -o root -g root debian/sysctl.d/*.conf $(DEBROOT)/etc/sysctl.d/
+ifneq (,$(wildcard debian/sysctl.d/*.conf.$(DEB_HOST_ARCH)))
+	# If a non-arch-specific default exists, install the arch-specific
+	# version of the conf in place of it, otherwise, build up a general
+	# 10-arch-specific.conf file.
+	for archconf in debian/sysctl.d/*.conf.$(DEB_HOST_ARCH); do \
+	    conf=$$(basename $$archconf .$(DEB_HOST_ARCH)); \
+	    if [ -f debian/sysctl.d/$$conf ]; then \
+		install --mode 644 -o root -g root $$archconf $(DEBROOT)/etc/sysctl.d/$$conf; \
+	    else \
+		cat $$archconf >> $(DEBROOT)/etc/sysctl.d/10-arch-specific.conf; \
+	    fi; \
+	done
+endif
 
 	# Rename w as there are two of them
 	(cd $(DEBROOT)/bin && mv w w.procps )
@@ -89,5 +114,5 @@
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libprocps7 (>=2:3.3.15-1)'
+	dh_makeshlibs -V 'libprocps8 (>=2:3.3.16-1)'
