=== debian/control ===
--- 
+++ 
@@ -20,9 +20,12 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-10), init-system-helpers (>= 1.29~)
-Breaks: guymager (<= 0.5.9-1), open-vm-tools (<= 2011.12.20-562307-1 )
+Breaks: guymager (<= 0.5.9-1), open-vm-tools (<= 2011.12.20-562307-1 ),
+        manpages-de (<< 4.9.1-2), manpages-fr (<< 4.9.1-2), manpages-pl (<< 1:4.9.1-2),
+        manpages-fr-extra (<< 20151231+nmu1)
+Replaces: manpages-de (<< 4.9.1-2), manpages-fr (<< 4.9.1-2), manpages-pl (<< 1:4.9.1-2),
+          manpages-fr-extra (<< 20151231+nmu1)
 Provides: watch
-Conflicts: w-bassman (<< 1.0-3), pgrep (<< 3.3-5)
 Recommends: psmisc
 Description: /proc file system utilities
  This package provides command line and full screen utilities for browsing
