=== debian/rules ===
--- 
+++ 
@@ -68,10 +68,11 @@
 	done
 endif
 
-	# Rename w as there are two of them
-	(cd $(DEBROOT)/bin && mv w w.procps )
-	(cd $(DEBROOT)/usr/share/man/man1 && mv w.1 w.procps.1 )
-
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	# Rename pwait to pidwait as pwait is in extrace
+	(cd $(DEBROOT)/bin && mv pwait pidwait )
+	(cd $(DEBROOT)/usr/share/man/man1 && mv pwait.1 pidwait.1 )
+endif
 
 ifneq ($(DEB_HOST_ARCH_OS), linux)
 	rm -f \
@@ -95,8 +96,8 @@
 	# Rename vmstat as there are two of them
 	(cd $(DEBROOT)/bin && mv vmstat vmstat.procps )
 	(cd $(DEBROOT)/usr/share/man/man8 && mv vmstat.8 vmstat.procps.8 )
-	
-    # Rename uptime as there are two of them
+
+	# Rename uptime as there are two of them
 	(cd $(DEBROOT)/bin && mv uptime uptime.procps )
 	(cd $(DEBROOT)/usr/share/man/man1 && mv uptime.1 uptime.procps.1 )
