=== debian/tests/control ===
Tests: version, stack-limit
Restrictions: superficial

Tests: sysctl-defaults
